﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication46;
using System.Collections;
using Syncfusion.JavaScript.DataSources;
namespace SyncfusionMvcApplication46.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            ViewBag.datasource = DataSource;
            return View();
        }
        public ActionResult BatchDataSource(Syncfusion.JavaScript.DataManager dm)
        {
            IEnumerable DataSource = new NorthwindDataContext().EmployeeViews.ToList();
            BatchDataResult result = new BatchDataResult();
            DataOperations obj = new DataOperations();
            if (dm.Skip != 0)
            {
                DataSource = obj.PerformSkip(DataSource, dm.Skip);
            }
            if (dm.Take != 0)
            {
                DataSource = obj.PerformTake(DataSource, dm.Take);
            }
            result.result = DataSource;
            result.count = new NorthwindDataContext().EmployeeViews.Count();
            return Json(result, JsonRequestBehavior.AllowGet);
        }

        public class BatchDataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
    }
}
